Read the delivery log
curl --request GET \
--url https://api.quiva.ai/accounts/integrations/{id}/subscriptions/{sid}/deliveries \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.quiva.ai/accounts/integrations/{id}/subscriptions/{sid}/deliveries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quiva.ai/accounts/integrations/{id}/subscriptions/{sid}/deliveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quiva.ai/accounts/integrations/{id}/subscriptions/{sid}/deliveries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.quiva.ai/accounts/integrations/{id}/subscriptions/{sid}/deliveries"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.quiva.ai/accounts/integrations/{id}/subscriptions/{sid}/deliveries")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quiva.ai/accounts/integrations/{id}/subscriptions/{sid}/deliveries")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"deliveries": [
{
"stream_seq": 123,
"event_id": "<string>",
"status": "sending",
"event_type": "<string>",
"attempts": 123,
"last_status_code": 123,
"latency_ms": 123,
"response_excerpt": "<string>",
"delivered_at": "<string>",
"last_error": "<string>",
"updated_at": "<string>"
}
],
"next_cursor": "<string>",
"has_more": true
}
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Task Subscriptions
Read the delivery log
Newest first. Rows are kept 30 days.
GET
/
accounts
/
integrations
/
{id}
/
subscriptions
/
{sid}
/
deliveries
Read the delivery log
curl --request GET \
--url https://api.quiva.ai/accounts/integrations/{id}/subscriptions/{sid}/deliveries \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.quiva.ai/accounts/integrations/{id}/subscriptions/{sid}/deliveries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quiva.ai/accounts/integrations/{id}/subscriptions/{sid}/deliveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quiva.ai/accounts/integrations/{id}/subscriptions/{sid}/deliveries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.quiva.ai/accounts/integrations/{id}/subscriptions/{sid}/deliveries"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.quiva.ai/accounts/integrations/{id}/subscriptions/{sid}/deliveries")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quiva.ai/accounts/integrations/{id}/subscriptions/{sid}/deliveries")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"deliveries": [
{
"stream_seq": 123,
"event_id": "<string>",
"status": "sending",
"event_type": "<string>",
"attempts": 123,
"last_status_code": 123,
"latency_ms": 123,
"response_excerpt": "<string>",
"delivered_at": "<string>",
"last_error": "<string>",
"updated_at": "<string>"
}
],
"next_cursor": "<string>",
"has_more": true
}
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
next_cursor from the previous page.
Pattern:
^[0-9]+$1 to 200. Default 50.
Required range:
1 <= x <= 200Response
A page.
Show child attributes
Show child attributes